# AWS

* Amazon Web Services

* http://aws.amazon.com

* [prices](https://okdevtv.com/mib/aws/price)
## History
* S3 (Simple Storage Services)
* EC2 (Elastic Cloud Compute)
* [RDS (Relational Database Services)](/mib/aws/rds)
* Route53
* ECS (EC2 Container Service)
* ...



### Compute

* EC2
  * Virtual Servers in the Cloud
* EC2 Container Service
  * Run and Manage Docker Containers
* Elastic Beanstalk
  * Run and Manage Web Apps
* Lambda
  * Run Code in Response to Events

### Storage & Content Delivery

* S3
  * Scalable Storage in the Cloud
* CloudFront
  * Global Content Delivery Network
* Elastic File System
  * Fully Managed File System for EC2
* Glacier
  * Archive Storage in the Cloud
* Import/Export Snowball
  * Large Scale Data Transport
* Storage Gateway
  * Hybrid Storage Integration

### Database

* RDS
  * Managed Relational Database Service
* DynamoDB
  * Managed NoSQL Database
* ElastiCache
  * In-Memory Cache
* Redshift
  * Fast, Simple, Cost-Effective Data Warehousing
* DMS
  * Managed Database Migration Service

### Networking
* VPC
  * Isolated Cloud Resources
* Direct Connect
  * Dedicated Network Connection to AWS
* Route 53
  * Scalable DNS and Domain Name Registration

### Developer Tools
* CodeCommit
  * Store Code in Private Git Repositories
* CodeDeploy
  * Automate Code Deployments
* CodePipeline
  * Release Software using Continuous Delivery

### Management Tools
* CloudWatch
  * Monitor Resources and Applications
* CloudFormation
  * Create and Manage Resources with Templates
* CloudTrail
  * Track User Activity and API Usage
* Config
  * Track Resource Inventory and Changes
* OpsWorks
  * Automate Operations with Chef
* Service Catalog
  * Create and Use Standardized Products
* Trusted Advisor
  * Optimize Performance and Security

### Security & Identity
* Identity & Access Management
  * Manage User Access and Encryption Keys
* Directory Service
  * Host and Manage Active Directory
* Inspector
  * Analyze Application Security
* WAF
  * Filter Malicious Web Traffic

### Analytics
* EMR
  * Managed Hadoop Framework
* Data Pipeline
  * Orchestration for Data-Driven Workflows
* Elasticsearch Service
  * Run and Scale Elasticsearch Clusters
* Kinesis
  * Work with Real-Time Streaming Data
* Machine Learning
  * Build Smart Applications Quickly and Easily

### Internet of Things
* AWS IoT
  * Connect Devices to the Cloud

### Mobile Services
* Mobile Hub
  * Build, Test, and Monitor Mobile apps
* Cognito
  * User Identity and App Data Synchronization
* Device Farm
  * Test Android, FireOS, and iOS Apps on Real Devices in the Cloud
* Mobile Analytics
  * Collect, View and Export App Analytics
* SNS
  * Push Notification Service

### Application Services
* API Gateway
  * Build, Deploy and Manage APIs
* AppStream
  * Low Latency Application Streaming
* CloudSearch
  * Managed Search Service
* Elastic Transcoder
  * Easy-to-Use Scalable Media Transcoding
* SES
  * Email Sending and Receiving Service
* SQS
  * Message Queue Service
* SWF
  * Workflow Service for Coordinating Application Components

### Enterprise Applications
* WorkSpaces
  * Desktops in the Cloud
* WorkDocs
  * Secure Enterprise Storage and Sharing Service
* WorkMail
  * Secure Email and Calendaring Service

## related
* [aws start](https://okdevtv.com/mib/aws/aws-start)
* [aws ec2](https://okdevtv.com/mib/aws/ec2)
* [aws ec2 price](https://okdevtv.com/mib/aws/price)
* [aws storage](https://okdevtv.com/mib/aws/storage)
* [aws cli](https://okdevtv.com/mib/aws/aws-cli)
* http://aws.amazon.com/ko/activate/
