# ES6
* ECMAScript2015
* list from http://es6-features.org

## Constants
* Constants

## Scoping
* Block-Scoped Variables
* Block-Scoped Functions

## Arrow Functions
* Expression Bodies
* Statement Bodies
* Lexical this

## Extended Parameter Handling
* Default Parameter Values
* Rest Parameter
* Spread Operator

## Template Literals
* String Interpolation
* Custom Interpolation
* Raw String Access

## Extended Literals
* Binary & Octal Literal
* Unicode String & RegExp Literal

## Enhanced Regular Expression
* Regular Expression Sticky Matching

## Enhanced Object Properties
* Property Shorthand
* Computed Property Names
* Method Properties

## Destructuring Assignment
* Array Matching
* Object Matching, Shorthand Notation
* Object Matching, Deep Matching
* Object And Array Matching, Default Values
* Parameter Context Matching
* Fail-Soft Destructuring

## Modules
* Value Export/Import
* Default & Wildcard

## Classes
* Class Definition
* Class Inheritance
* Class Inheritance, From Expressions
* Base Class Access
* Static Members
* Getter/Setter

## Symbol Type
* Symbol Type
* Global Symbols

## Iterators
* Iterator & For-Of Operator

## Generators
* Generator Function, Iterator Protocol
* Generator Function, Direct Use
* Generator Matching
* Generator Control-Flow
* Generator Methods

## Map/Set & WeakMap/WeakSet
* Set Data-Structure
* Map Data-Structure
* Weak-Link Data-Structures

## Typed Arrays
* Typed Arrays

## New Built-In Methods
* Object Property Assignment
* Array Element Finding
* String Repeating
* String Searching
* Number Type Checking
* Number Safety Checking
* Number Comparison
* Number Truncation
* Number Sign Determination

## Promises
* Promise Usage
* Promise Combination

## Meta-Programming
* Proxying
* Reflection

## Internationalization & Localization
* Collation
* Number Formatting
* Currency Formatting
* Date/Time Formatting

## related
* [ES7](/mib/js/es7)

## ref
* http://es6-features.org
