# List By Type
  * from: https://osselc21.sched.com/overview/type/OSPOCon

## 101 Essentials -Cloud Administration
### Monday, September 27
* Observability with Prometheus and Beyond: Leveraging Cloud-native Technologies Outside of Cloud - Richard Hartmann, Grafana Labs
* Cloud Infrastructure Explained: For Normal People - Nils Magnus, T-Systems International GmbH
* Cloud Security: The Beauty Of Open-Source - Rajvi Khanjan Shroff, Project Cyber


## 101 Essentials -Embedded Linux
### Tuesday, September 28
* From an Idea to a Patch in the Linux Mainline - Marta Rybczynska, Syslinbit
* Build System Tuning: More is Not Necessarily Better - Tom King, Tom King Communications


## 101 Essentials -Linux Administration
### Monday, September 27
* Bridges, Bonds, and Taps - Going Beyond eth0 - John Hawley, VMware

### Tuesday, September 28
* Development Best Practices: An Overview of Working in the Software World - Andrew Grimberg, The Linux Foundation


## AI & Data
### Monday, September 27
* Integrating Feast Online Feature Store with KFServing - Ted Chang & Chin Huang, IBM
* Designing High-Performance Scalable Middleware for HPC, AI, and Data Science in Exascale Systems and Clouds - Dhabaleswar K Panda & Hari Subramoni, The Ohio State University
* Simplifying Testing of Spark Applications - Megan Yow, Sobeys & Han Wang, Lyft
* AI-powered Vector Search Engine Weaviate - Laura Ham, SeMI Technologies
* Enforcing Data Quality in Data Processing and ML Pipelines with Flyte and Pandera - Niels Bantilan, union.ai

### Tuesday, September 28
* The Future of Data Pipelines with Atomic Wasm Transformations and the Evolving Role of Data Engineers - Thomas Chataigner & Philippe Métais, Polyphene
* Defending Against Adversarial Model Attacks using Kubeflow  - Animesh Singh & Andrew Butler, IBM
* Self-serve Feature Engineering Platform Using Flyte and Feast - Ketan Umare, Union.ai

### Wednesday, September 29
* Infusing Trusted AI using Machine Learning Payload Logging on Kubernetes - Tommy Li & Andrew Butler, IBM
* End-to-end AI Marketplace with Execution Engine on Kubernetes - Christian Kadner & Animesh Singh, IBM
* Lightning Talk: AIOps vs. MLOps: What's the Difference? - Lauren Maffeo, Steampunk
* Efficient Data Parallel Distributed Training with Flyte, Spark & Horovod - Ketan Umare & Katrina Rogan, Union.ai
* Lightning Talk: Deploying AI Solutions on the Edge with Containers - Tony Lin, Microsoft
* Presto -Today and Beyond -The Open Source SQL Engine for Querying all Data Lakes - Dipti Borkar, Ahana & Tim Meehan, Facebook
* Embedded Deep Learning Super Resolution on GStreamer using ONNX Inference Runtime - Aaron Boxer & Marcus Edel, Collabora Inc.


## Case Studies
### Monday, September 27
* Case Study: When the Open Source Program Office is Responsible for Innovation - Mark Gisi & Amanda Huynh, Wind River
* Lessons Learned from Creating an OSPO at Goldman Sachs - Rohan Deshpande & Rosalie Bartlett, Goldman Sachs
* Ten Years of Practice from Tencent Open Source - Mark Shan, Tencent
* Our Open Source Journey: How Aspen Mesh went from an Outsider to a Leader in the Istio Community - Libby Meren, F5 Networks
* What does an Open Source Office do in a Bank? - Daniel Estiven Rico Posada, Bancolombia

### Tuesday, September 28
* Evolving Open Source Governance From Compliance To Program Offices: The LGE Case Study - Kyoungae Kim, LG Electronics
* The Daimler FOSS Manifesto – Our Commitment to be Truly Open - Dr. Wolfgang Gehring, Daimler TSS
* Moving from Federation to Trust and Coordination - Melissa Evers, Intel
* Growing Open Source Culture Inside Sony - Kazumi Sato & Hiroyuki Fukuchi, Sony Group Corporation

### Wednesday, September 29
* Improving Developer Experience: How We Built a Cloud Native Dev Stack for 100s of Engineers - Srinidhi S & Venkatesan Vaidyanathan, Razorpay
* Case Study: Consolidate Usage of GNU/Linux in a Heterogeneous Industrial Context - Steffen Evers & Sven Erik Jeroschewski, Bosch.IO


## Cloud Infrastructure
### Monday, September 27
* Robocat Meets Octopus and Octocat: Interoperability in CI/CD - Jerop Kipruto, Google & Priti Desai, IBM
  * Tutorial: Introducing Centaurus: A Cloud Native Infrastructure Project for Large Scale Distributed Cloud - Sponsored by Futurewei
  * Tutorial: Hack My Mis-Configured Kubernetes - Sponsored by Snyk
* The Secret to Brewing up a Good API - David Dymko, Vultr
  * Under the Hood with Fluent Bit Operator: Kubernetes-native Log Processor - Feynman Zhou, QingCloud & Dhruv Kela, DigitalOcean
* AI Pipelines Workflows and ML lineage using Tekton Pipelines - Tommy Li & Animesh Singh, IBM
  * Hail Hydrate! From Stream to Lake Using Open Source - Timothy J Spann, StreamNative
* Securing Serverless Functions on Kubernetes with Quarkus Extensions - Daniel Oh, Red Hat
* Achieving End-to-end Visibility into Complex Event-sourcing Transactions using Distributed Tracing - Michael Haberman, Haberman
  * Leveraging WebAssembly to Write Kubernetes Admission Policies - Flavio Castelli & Rafael Fernández López, SUSE

### Tuesday, September 28
* Introduction to Kubernetes Operators - Jonathan Berkhahn, IBM
  * Security and Flexibility: Decouple Policy to Enable Architectural Choice - Ash Narkar, Styra
  * Unify Data and Storage Management with SODA ODF - Steven Tan, Futurewei & Anjaneya ‘Reddy’ Chagam, Intel
* Instant Self-contained Development Environments for Everyone - Yshay Yaacobi, Livecycle Wayfair
  * Same-day Delivery: A Narrative in Painful Anecdotes about CI at Scale - Lelia Bray-Musso & Gary Preston White Jr., Wayfair
* Container Standards Explained - Melissa McKay, JFrog Tutorial: Istio Service Mesh Get Started Workshop - Lin Sun, Solo.io
* Making Complex Open Source Safe for Operations - Gordon Haff & William Henry, Red Hat

### Wednesday, September 29
* Running My Actions: An Introduction to GitHub and GitLab Workflows - Ryan M Cook, Red Hat
  * What’s Breaking My Build? AIOps Tooling to Aid Your CI/CD Workflows - Oindrilla Chatterjee & Aakanksha Duggal, Red Hat
* Kubernetes Policy as Code with Kyverno - Jim Bugwadia, Nirmata
  * Long-Term Metrics with M3 and Prometheus - Matt Schallert, Chronosphere
  * Open Source for Better Observability - Dotan Horovits, Logz.io
* Building Scalable APIs Using Serverless - Qendresa Hoti & Albiona Hoti, We Tech
  * Deep-dive into Open Policy Agent + Conftest + GateKeeper: Kubernetes Policy in Action - Noaa Barki & Shimon Tolts, Datree
* Enhancing Metrics and Logs Support in OpenTelemetry - Alolita Sharma, Amazon Web Services
  * How CNCF is Enabling End User Driven Open Source - Katelin Ramer, Cloud Native Computing Foundation
* CYOK -Choose Your Own Kubernetes For Local Development - Karthikeyan Govindaraj, BlackRock
  *  Agile and Dependable Service Development with Bosque and Morphir - Mark Marron, Microsoft & Stephen Goldbaum, Morgan Stanley
* Distributed Authorization for Microservices Powered by Kubernetes, Istio and Open Policy Agent - Gong Mengnan, Ninja Van


## Cloud Native Development
### Monday, September 27
* The Community Management Handbook: The Open Source Way 2.0 - Karsten Wade, Red Hat
* Lessons Learned from Open Source in Business - Dave Neary, Red Hat
* A Beginners Guide to Open Source Metrics and Analysis - Sophia Vargas, Google
* How to Talk About your Open Source Project so People Get It - Emily Omier, Emily Omier Consulting
* Panel Discussion: Words Matter: Inclusive Language in Software, Open Source, & the Enterprise - Joanna Lee, Gesmer Updegrove; Suzy Greenberg, Intel Corporation; Amy Marrich, Red Hat; Mark Miller, Lawrence Livermore...
* Getting Started with Getting Started: How to Engage New Users - Omer Bensaadon, VMware & Carlos Santana, IBM
* How Many Ways Can You Fail? A Taxonomy of Corporate (in)Decision - Federico Lucifredi, Red Hat | IBM
* Panel Discussion: Evolving the Confidential Computing Consortium: Non-profit Collaboration for Growth - Stephen Walli & Aeva Black, Microsoft; Mike Bursell, Congruus

### Tuesday, September 28
* Don't Forget to Like and Contribute: Streaming and Open Source Communities - Monica Ayhens-Madon, Canonical
* The 7 Guiding Principles for Developer Engagement - Barton George, Dell Technologies
* Panel Discussion: Peace, Love and JavaScript: Community and Culture - Robin Ginn, OpenJS Foundation; Sara Chipps, LinkedIn; Liz Parody, NodeSource; Myles Borins, GitHub
* How the Fastest Growing Open Hardware Project is Leveraging Visibility and Community Engagement for Industry Adoption and Member Success - Kim McMahon, RISC-V International
* Bootstrapping an Open Source Project on GitHub - Peter Somogyvari, Accenture

### Wednesday, September 29
* Building an Open Source Community from the Ground Up - Red Hat’s Game Industry Community of Practice - Ruth Suehle & Derek Reese, Red Hat
* Delivering Bad News: Helping your Community Through a Rough Patch - Rich Bowen, Red Hat
* Panel Discussion: Contributor Leaderboards to Incentivize Good Community Citizenship - Georg Link, Bitergia; Elizabeth Barron, CHAOSS; Amy Marrich, Red Hat; Matthew Tift, Lullabot; Matt Germonprez, University of...
  * Panel Discussion: The EU Open Source Economic Impact Study: Findings, Analyses, Recommendations - Knut Blind, Fraunhofer ISI; Sachiko Muto, OpenForum Europe; Andrew Katz, Moorcrofts LLP; Mirko Boehm, MBition/Da...
* Panel Discussion: Eliminating Common Barriers to Contribution for More Inclusive Communities - Georg Link & Daniel Izquierdo, Bitergia; Anita Sarma & Mariam Guizani, Oregon State University
* Europe’s Strategic Bet for an Open Source, Sovereign Edge Cloud - Alberto P. Marti, PhD, OpenNebula
* Unlocking Open Source Communities’ Potential: Community Handbook Best Practices to Foster Inclusivity and Diversity - Jaskirat Singh, CHAOSS / The Linux Foundation & Nuritzi Sanchez, GitLab Inc.
* Training our Next Generation of Great Open Source Citizens - Michael Swift, Major League Hacking (MLH)
* How Google Fostered Open Source Community During the Pandemic - Teresa Terasaki, Google
* BoF: Open-Source Developer Burnout, And How to Avoid It - Caterina Rindi & Alex Scammon, G-Research


## Community Management & Leadership
### Monday, September 27
* The Community Management Handbook: The Open Source Way 2.0 - Karsten Wade, Red Hat
* Lessons Learned from Open Source in Business - Dave Neary, Red Hat
* A Beginners Guide to Open Source Metrics and Analysis - Sophia Vargas, Google
* How to Talk About your Open Source Project so People Get It - Emily Omier, Emily Omier Consulting
* Panel Discussion: Words Matter: Inclusive Language in Software, Open Source, & the Enterprise - Joanna Lee, Gesmer Updegrove; Suzy Greenberg, Intel Corporation; Amy Marrich, Red Hat; Mark Miller, Lawrence Livermore...
* Getting Started with Getting Started: How to Engage New Users - Omer Bensaadon, VMware & Carlos Santana, IBM
* How Many Ways Can You Fail? A Taxonomy of Corporate (in)Decision - Federico Lucifredi, Red Hat | IBM
* Panel Discussion: Evolving the Confidential Computing Consortium: Non-profit Collaboration for Growth - Stephen Walli & Aeva Black, Microsoft; Mike Bursell, Congruus

### Tuesday, September 28
* Don't Forget to Like and Contribute: Streaming and Open Source Communities - Monica Ayhens-Madon, Canonical
* The 7 Guiding Principles for Developer Engagement - Barton George, Dell Technologies
* Panel Discussion: Peace, Love and JavaScript: Community and Culture - Robin Ginn, OpenJS Foundation; Sara Chipps, LinkedIn; Liz Parody, NodeSource; Myles Borins, GitHub
* How the Fastest Growing Open Hardware Project is Leveraging Visibility and Community Engagement for Industry Adoption and Member Success - Kim McMahon, RISC-V International
* Bootstrapping an Open Source Project on GitHub - Peter Somogyvari, Accenture

### Wednesday, September 29
* Building an Open Source Community from the Ground Up - Red Hat’s Game Industry Community of Practice - Ruth Suehle & Derek Reese, Red Hat
* Delivering Bad News: Helping your Community Through a Rough Patch - Rich Bowen, Red Hat
* Panel Discussion: Contributor Leaderboards to Incentivize Good Community Citizenship - Georg Link, Bitergia; Elizabeth Barron, CHAOSS; Amy Marrich, Red Hat; Matthew Tift, Lullabot; Matt Germonprez, University of...
  * Panel Discussion: The EU Open Source Economic Impact Study: Findings, Analyses, Recommendations - Knut Blind, Fraunhofer ISI; Sachiko Muto, OpenForum Europe; Andrew Katz, Moorcrofts LLP; Mirko Boehm, MBition/Da...
* Panel Discussion: Eliminating Common Barriers to Contribution for More Inclusive Communities - Georg Link & Daniel Izquierdo, Bitergia; Anita Sarma & Mariam Guizani, Oregon State University
* Europe’s Strategic Bet for an Open Source, Sovereign Edge Cloud - Alberto P. Marti, PhD, OpenNebula
* Unlocking Open Source Communities’ Potential: Community Handbook Best Practices to Foster Inclusivity and Diversity - Jaskirat Singh, CHAOSS / The Linux Foundation & Nuritzi Sanchez, GitLab Inc.
* Training our Next Generation of Great Open Source Citizens - Michael Swift, Major League Hacking (MLH)
* How Google Fostered Open Source Community During the Pandemic - Teresa Terasaki, Google
* BoF: Open-Source Developer Burnout, And How to Avoid It - Caterina Rindi & Alex Scammon, G-Research


## Diversity Summit hosted by Google
### Monday, September 27
* Start with Ally as a “verb” and Build that with Partnership - Lekha Rani Lalitha & Kaushik Venkatesh, IBM INDIA PVT LTD
* Scaling Communities to be more Inclusive - Kunal Kushwaha, Civo
* Allyship Workshop with Dr. Kim Tran - Sponsored by Google
* Panel Discussion: Words Matter: Inclusive Language in Software, Open Source, & the Enterprise - Joanna Lee, Gesmer Updegrove; Suzy Greenberg, Intel Corporation; Amy Marrich, Red Hat; Mark Miller, Lawrence Livermore...
* CHAOSS Diversity, Equity and Inclusion (DEI) Open Source Badging Initiative - Ruth Ikegah & Matt Cantu, CHAOSS
* Creating An Inclusive Interview Environment - Jeffrey Strauss, Snapchat
* How to Demonstrate Allyship to Women+ in Open Source - Radha Jhatakia & Mike Bufano, Google Open Source Programs Office

### Tuesday, September 28
* Making an Impact from India to the Rest of the World by Building and Nurturing Women Infosec Community - Vandana Verma Sehgal, Snyk
* Non-English Editions of Wikipedia Have a Misinformation Problem - Yumiko Sato, Independent
* Women of Open Source Community Africa; Emerging a Star - Ruth Ikegah, CHAOSS Community Member
* Growing Diversity in Open Hardware: It’s a Task for All of Us! - Kim McMahon, RISC-V
  * Supporting Free and Open Source Software in Africa - Victory Brown
* Creating an Employee Resource Group: Red Hat Asian Network - Jennifer Madriaga, Red Hat
* Diversity & Inclusion in Tech - Pink Doughnuts & 'Hey Guys' - Chris Howard, EPAM Systems
* Inclusion in Open Source - Allies, Outlaws and Dinosaurs - David C Stewart, Intel Corporation
* Panel Discussion: Experiences in Addressing Diversity, Equity, and Inclusion in Open Source Governance - Dan Middleton, Intel & Lindsay Nuon, EmpirEqual;
  * Additional Panelists to be Announced

### Wednesday, September 29
* Getting Over Your Imposter Syndrome to Become a Conference Speaker - Dawn Foster, VMware
* So You Have a Popular GitHub Project and are Considering Building a Company -How do You Get Your Culture of Contribution and Inclusivity Right, Right Away? - Jillian Hufnagel, Slim.AI, Inc
* Designing Open Source Interoperability Payment Models to Advance Financial Inclusion - Miller Abel, Mojaloop Foundation
* Lightning Talk: Why a Diverse Team is Crucial to Startup Success - Melissa Jurkoic, addapptation
* Lightning Talk: Strategies for Inclusivity as an Open Source Project Maintainer - Peter Somogyvari, Accenture

## Embedded Linux Conference (ELC)
### Monday, September 27
* Introduction to Pin Muxing and GPIO Control Under Linux - Neil Armstrong, BayLibre
  * Panel Discussion: Industrial Linux Beyond 2022 - Kate Stewart, Linux Foundation & Guy Lunardi, Collabora;
  * Additional Panelists to be Announced Teach an Old Network Driver New Tricks - Oleksij Rempel & Marc Kleine-Budde, Pengutronix
* Building Robotics Applications at Scale using Open Source from Zero to Hero - Alex Coqueiro, AWS Deep Dive into Today's Videobuf2 Framework - Smitha T Murthy & Ajay Kumar, Samsung Semiconductor Securing a Yocto-based Distribution: The Case of AllScenariosOS - Marta Rybczynska
* Cross Debugging on Linux : A History, Current State of the Art and Coming Improvements - Thierry Bultel, IoT.BzH
  * The 5 Key Success Factors to Deploy Yocto for “Production Grade” Embedded/IoT Devices - Adrien Leravat, Witekio
  * Using OP-TEE as a Cryptography Engine - Gregory Malysa, Timesys
* Building Open Hardware with Open Software - Michael Tretter, Pengutronix e.K.
  * Reaching the Multimedia Web from Embedded Platforms with WPEWebKit - Philippe Normand, Igalia
  * Static Partitioning and VM-to-VM Communication Mechanisms - Stefano Stabellini, Xilinx
* BoF: Automotive Grade Linux Developer - Walt Miner, The Linux Foundation
  * Panel Discussion: Super Long Term Kernel Maintenance - Masashi Kudo & Alice Ferrazzi Cybertrust Japan Co., Ltd.; Greg Kroah-Hartman, The Linux Foundation; Jan Kiszka, Siemens Technology; Chris Paterson, Renesas...
  * Yocto Continuous Integration in a Kube - Joshua Watt, Garmin

### Tuesday, September 28
* Board Farm APIs for Automated Testing of Embedded Linux -An Update - Tim Bird, Sony Electronics & Harish Bansal,
  * Timesys Giving Linux a Camera Stack: libcamera's 3 Years Journey and Exciting Future - Laurent Pinchart,
  * Ideas on Board Meet All Scenarios OS: A Distributed O.S. with Feet on the Ground - Davide Ricci, Huawei
* Automated Testing for Embedded Development: Next Generation Board Farming - Chris Fiege, Pengutronix e.K.
  * Binary Artifacts and the Ease of Use Onramp for the Yocto Project - Bruce Ashfield, Xilinx
  * Improving the Linux Display Stack Reliability - Maxime Ripard, Cerno
* Exploring PWM Subsystem and its Usage in Embedded Devices - M Tamseel Shams, Samsung Semiconductor India R&D Center
  * Host Performance Booster (HPB): Introduction and Current Mainline Support Status - Jaemyung Lee & Alim Akhtar, Samsung
* Embedded Linux Nuggets found in Buildroot Package Eldorado - Michael Opdenacker, Bootlin
  * Stateless HEVC Decoding in Mainline Linux: The Rocky Road to Becoming a Stable API - Benjamin Gaignard,
  * The Future of Linux on RISC-V - Drew Fustini, Embedded Linux Developer
* Building a Low-key XIP-enabled RISC-V Linux System - Vitaly Vul, Konsulko AB I3C in Tomorrow's Design - Miquèl Raynal, Bootlin Master your PipeWire Streams with WirePlumber - George Kiagiadakis, Collabora
* Hypervisor-less virtio for Real-time and Safety - Maarten Koning, Wind River Initializing RISC-V: A Guided Tour for ARM Developers - Ahmad Fatoum & Rouven Czerwinski, Pengutronix Understanding the Structure of a Linux Kernel Device Driver - Sergio Prado, Toradex

### Wednesday, September 29
* A Tale of Three Build Systems: Building a Custom Linux OS for BeagleV Starlight with Buildroot, Isar and Yocto Project - Tim Orling, Intel Corporation The Open Graphics Stack - Alyssa Rosenzweig,
  * Collabora Will it Boot? -- The Case for Platform Standards in Embedded - Grant Likely, Arm
* Behind the Curtains of Making Real Consumer Devices using Debian - Christopher Obbard, Collabora Ltd
  * LAVA + OpenQA = Automated, Continuous Full System Testing - Laurence Urhegyi & Javier Jardon, Codethink Ltd
  * OP-TEE: When Linux Loses Control - Clément Léger, Bootlin
* Practical Experience with Linux A/B Upgrades - Leon Anavi, Konsulko Group Yocto
  * Project and Android –Compare and Contrast - Chris Simmonds, 2net
* BoF: The Yocto Project and Embedded Linux - Armin Kuster, MontaVista, LLC & Nicolas Dechesne, Linaro
  * Demystifying Graphics and Media Work Synchronisation - Daniel Stone, Collabora
* Advanced Camera Support on Allwinner SoCs with Mainline Linux - Paul Kocialkowski, Bootlin
  * BoF: Linux on Smartphones - Bernhard "bero" Rosenkränzer, LinDev /
  * Huawei Understanding Linux Interrupt Subsystem - Priya Dixit, Samsung Semiconductor India Research
* Embedded Linux Conference Annual Closing Game


## Internet of Things
### Monday, September 27
* Automating & Monitoring Seedling Growth in the Cloud Using IoT, Messaging & Micronaut - Todd Sharp, Oracle
* zenoh: A Next-Generation Protocol for IoT and Edge Computing - Frédéric Desbiens, Eclipse Foundation
* Panel Discussion: Pyrrha, A Call for Code Open Source Project - Salomé Valero Cumplido & Marco Emilio Rodríguez Serrano, Prometeo Platform; Daniel Krook & Upkar Lidder, IBM
* Picolibc: A C Library for Smaller Systems - Keith Packard, Amazon

### Tuesday, September 28
* Zephyr Project: RTOS Start-up and Initialization Flow - David Leach, NXP
* Building Embedded Drivers for Industrial Communication using Code-generation - Christofer Dutz, Mapped
* Building Low-Latency Secure Embedded System Using eBPF - Alexandru Vochescu, University "Politehnica" of Bucharest & Alexandru Radovici, Wyliodrin
* Pets vs Cattle: Fleet Monitoring for Connected Devices - Drew Moseley, Toradex

### Wednesday, September 29
* Tutorial: Build a Green House Controller Using the MicroBit v2 and Rust - Alexandru Radovici & Ioana Culic, Wyliodrin
* Remote Access to IoT Devices: Common Needs and Approaches - Eystein Måløy Stenberg, Northern.tech Inc. (Mender.io)
* Lightning Talk: Managed VMs with WebAssembly for Scalable Secure IoT Deployments - Stefan Wallentowitz, Munich University of Applied Sciences A New user(space):
  * Adding RISC-V Support to Zephyr RTOS - Kevin Hilman & Alexandre Mergnat, BayLibre
* IoT as a Platform: Scaling IoT Applications for the Enterprise Using Kubenernetes/OpenShift - Luigi Mario Zuccarelli, Red Hat & Fan Zhang, Threefold


## Keynote Sessions
### Monday, September 27

* Keynote: Welcome & Opening Remarks - Jim Zemlin, Executive Director, The Linux Foundation
* Keynote: Open 3D Engine - Royal O'Brien, General Manager, Digital Media & Games, The Linux Foundation
* Keynote: Save Lives with OS Software: Join the OpenTreatments Movement - Sanath Kumar Ramesh, Founder & Chief Executive Officer, OpenTreatments Foundation
* Keynote: In Community We Trust: Open Source Software and Supply Chain Security - Chris Wright, Senior Vice President & Chief Technology Officer, Red Hat
* Keynote: Window Snyder, Founder and Chief Executive Officer, Thistle Technologies in conversation with Jim Zemlin, Executive Director, The Linux Foundation

### Tuesday, September 28

* Keynote: Heather E. McGowan, Future of Work Strategist
* Keynote: Advance Data, AI and Quantum Using Open Source - Todd Moore, Vice President - Open Technology and Developer Advocacy, CTO DEG, IBM
* Keynote: Open and Interoperable are the True Drivers of Innovation - Brent Schroeder, Head of Office of CTO, Americas Chief Technology Officer, SUSE
* Keynote to be Announced
* Keynote: Introducing LF Research: A New Kind of "Team Sport" at the Linux Foundation - Hilary Carter, Vice President of Research, The Linux Foundation
* Keynote: Advancing Diversity and Inclusion: The Open Source Way - Demetris Cheatham, Senior Director of Diversity, Inclusion and Belonging, GitHub
* Keynote: Linus Torvalds, Creator of Linux & Git, in conversation with Dirk Hohndel, Vice President & Chief Open Source Officer, VMware
* Keynote: Staying Power: How OSS Projects can Thrive for the Long Term - Chris DiBona, Director of Open Source & Making and Science, Google
* Keynote: Anima Anandkumar, The California Institute of Technology (Caltech), Bren Professor of Computing and Mathematical Sciences & Director of Machine Learning, NVIDIA

### Wednesday, September 29

* Keynote: Linux on Mars: How the Perseverance Rover and Ingenuity Helicopter Leveraged Linux to Accomplish their Mission - Tim Canham,
  * Software and Operations Lead for the Mars Helicopter, NASA's Jet Propulsion...
* Keynote: Microsoft - Speaker to be Announced
* Keynote: Kate Stewart, Vice President of Dependable Embedded Systems & Dr. David A. Wheeler, Director of Open Source Supply Chain Security, The Linux Foundation


## Linux Systems
### Monday, September 27

* Perf on RISC-V: The Past, the Present and the Future - Atish Patra & Anup Patel, Western Digital
  * The State of Open Source Games and Open Source Gaming Tools in 2021 - David Graham Brooks, David Graham Brooks
* 35 Fedora Releases in 30 Minutes (plus Q&A!) - Matthew Miller, Red Hat
* How Has Covid-19 Impacted the Kernel Development over the Last Year? - Daniel German, University of Victoria & Kate Stewart,
  * The Linux Foundation Panel Discussion: Kernel Internship Report (Outreachy) - Alison Schofield, Intel Corporation; Zhansaya Bagdauletkyzy, Self; Mitali Borkar; Beatriz Martins de Carvalho; Deborah Brouwer
* Icebreaker: Introducing Upstream Kernels to Google’s Data-centers - Andrew Delgadillo & Dylan Hatch, Google
  * openSUSE on the Mainframe - Sarah Julia Kriesch, Accenture GmbH
* Demystify Intel Security Technologies in the Firmware - Christian Walter, 9elements & Philipp Deppenwiese, immune GmbH
  * What is new in KernelShark two - Steven Rostedt, VMware Inc

### Tuesday, September 28

* Extra Boot Configuration -Expanding Kernel and Init Boot Parameters - Masami Hiramatsu, Linaro Ltd.
  * Sandboxing Applications with Landlock - Mickaël Salaün, Microsoft
* A Rolling Stable Kernel Model - Sasha Levin,
  * Google Lessons Learned Applying Compile-time Hardening Options for Security-Critical Program Binary in Linux - ChulWoo Lee, The Affiliated Institute of ETRI
* Restricted Address Spaces for Container Security - Mike Rapoport & James Bottomley, IBM
  * Tracking Down What Happened: A Comparison of Tracing Solutions - John Ogness, Linutronix GmbH
* A Practical Approach to Control Unauthorized Execution of Interpreters - Junghwan Kang, The Affiliated Institute of ETRI
  * Ply: Lightweight BPF Tracing - Frank Vasquez, Lunar Energy

### Wednesday, September 29

* "Plan to Throw One Away" -Pitfalls of API Design for Low-level User-space Libraries and Kernel Interfaces - Bartosz Golaszewski, BayLibre Shared
  * Virtual Addressing for High Performance Arm Infrastructure Platforms - Vivek Kumar Gautam, Arm Holdings
* Container Kernel Development - Christian Brauner, Canonical
  * Transport-level Testing of NVMe Devices using VFIO - Klaus Jensen, Samsung Electronics
* Distributed Switch Architecture (DSA): Running Mainline on Commercial Switches - Marcel Ziswiler, Toradex Rootless Containers with Podman - Steven Ellis, Red Hat
* Idmapped Mounts - Christian Brauner, Canonical
  * The Forefront of the Development for NVDIMM on Linux Kernel - Yasunori Goto & Ruan Shiyang, Fujitsu Ltd.
* Guider: Performance Tracing Features for Linux - Peace Lee, Hyundai Motor Company
  * Toolchains for People in a Hurry: Latest Features of GCC/GLIBC - Victor Rodriguez Bahena, Intel
* Finding Unmet Dependencies in Kconfig with the Kismet Static Analyzer - Paul Gazzillo, University of Central Florida
  * Linux Kernel Tracing Using eBPF - Vandana Salve, Prasme system pvt ltd



## OS Databases
### Monday, September 27

* When Your Data has Relationships, Choose the Right Match - Ajay Kumar S, JP Morgan
* How to Choose a Right Database for Your Microservices? - Dr. Vamsi Mohan Vandrangi, Hub Technologies
* Hyperledger Fabric: The Enterprise Blockchain Framework - Arnaud J Le Hors, IBM
* MySQL 8.0 New Features - Dave Stokes, Oracle

### Tuesday, September 28

* Horizontal Scaling with Vitess - Deepthi Sigireddi, PlanetScale Inc.
* Cassandra Made Easy: Interact with your Data using Stargate HTTP APIs - Kirsten Hunter, Kirsten Hunter
* The PostgreSQL Twin Bill: The 7 Deadly PostgreSQL Mistakes & Review of What's New in PostgreSQL 14 - Matt Yonkovit & Kishore Dahlstrom, Percona

### Wednesday, September 29

* Milvus 2.0: Building the World's Most Advanced Open-source Vector Database - Filip Haltmayer, Zilliz
* From a Database in Container to DBaaS on Kubernetes - Peter Zaitsev, Percona

## OS Dependability
### Monday, September 27

* Are We Forever Doomed to Software Supply Chain Security? - Liran Tal, Snyk
* How Open Source is Eating Software: Numbers and Trends - Gordon Haff, Red Hat
* Supply Chain Attacks: The New Reality - Susan St. Clair,
  * Whitesource Tips and Tricks: Protecting Cloud Infrastructure - Krista Macomber, Evaluator Group
* SW360 SBOM and License Obligation Management - Michael Jaeger, Siemens AG & Kouki Hama, Toshiba Corporation
* Field Report: Setting up a Software Product Line (SPL) Architecture based on Zephyr - Gregory Shue, Legrand

### Tuesday, September 28

* A Maintainable, Scalable, and Verifiable SW Qualification Approach for Automotive in Linux - Daniel Bristot de Oliveira, Red Hat & Gabriele Paoloni, Intel
* Software Composition Analysis with Free Tools - Philippe Ombredanne, AboutCode.org and nexB Inc.
* Tutorial: Functional Safety Basics for Open Source Software Developers - Nicole Pappler & Prof. Dr. phil. Andreas Bärwald, AlektoMetis

### Wednesday, September 29

* Broken Brokers in Boxes: Fuzzing Breaks Everything, Even Erlang - Jonathan Knudsen, Synopsys, Inc.
* A Complex Web of Open Source Software Dependencies Risk - Sean Goggins, University of Missouri & CHAOSS Project
* Supply Chain Armoring: Tools and Techniques for Open Source Projects - David C Stewart, Intel Corporation
* Planning for and Handling Failures from Open Hardware, Aviation, to Production at Google - Marc Merlin, Google
* Secure Your Supply Chain: Adding a Software Bill of Materials to Your Containers to Improve Vulnerability Scanning - Paul Novarese, Anchore
* Protect Yourself from Malicious Dependencies with One Cool Trick - Kim Lewandowski & Christie Wilson, Google


## OSPOCon
### Monday, September 27

* Co-host Sponsor Session: Open, Innovate, Fail Fast: MindSpore Community Operation - Zhipeng Huang, MindSpore Community Manager, Huawei
* Welcome & Remarks - Chris Aniszczyk, CTO, Cloud Native Computing Foundation
* Why OSPOs are Important To A Company's Innovation Strategy? - Nithya Ruff, Comcast
* Panel Discussion hosted by VMware - Speakers to be Announced
* Connecting Communities and Business to Create Data-Driven Decisions - Cali Dolfi & Brian Proffitt, Red Hat
* Justifying an OSPO in Dollars and Cents - Van Lindberg, OSPOCO
* Business Reviewers within Enterprise Compliance Systems - Carol Smith, Microsoft
* Navigating Open Source Project Risk - Dawn Foster, VMware
* University-based Open Source Programs Offices - Sayeed Choudhury, Johns Hopkins University
* Open@RIT, Creation of a University OSPO and the First Year's Lessons Learned. - Stephen Jacobs, Rochester Institute of Technology

### Tuesday, September 28

* Co-host Sponsor Session: Silona Bonewald, Executive Director, IEEE SA OPEN
* Welcome - Stormy Peters, Microsoft
* MVG -Minimum Viable Governance for Your Organization’s Open Collaboration Needs - Ashley Wolf & Justin Colannino, GitHub
* Default to Open - Steps and Traps - Matt Yonkovit, Percona
* Open Source Contribution Policies that Don't Suck - Tobie Langel, UnlockOpen
* Building a Foundation for Open Collaboration - Justin Rackliffe, Fidelity Investments
* GitHub Gone Wrong - Lessons Learned from Organic Open Source - Charles Eckel, Cisco
* Emerging Automated License Compliance for Containers - Alexander Mazuruk & Krzysztof Opasiak, Samsung R&D Institute Poland
* 2021 Open Source Program Trends - Alex Williams, The New Stack; Hilary Carter,
  * The Linux Foundation; - Chris Aniszczyk, Cloud Native Computing Foundation

### Wednesday, September 29

* Co-host Sponsor Session: Making Open Source More Secure by Moving Upstream - Luis Villa, Co-founder, Tidelift
* Managing a GitHub Organization: Tools, Tips, and Best Practices - Mark Matyas, Qualcomm Technologies Inc
* Panel Discussion: How Government OSPOs Deliver Value for Citizens at Scale - Astor Nummelin Carlberg,
  * OpenForum Europe; - Maurizio Maria Gazzola,
  * United Nations; - Clare Dillon, Mosslabs; Mala Kumar,
  * GitHub; - Evangelos...
* Monorepo Madness: Dependencies, License Compliance, and Automation - Talia McCormick, Fossa
* Lightning Talk: Amplifying University Research Impact with Open Source - Stephanie Lieggi & Carlos Maltzahn, Center for Research in Open Source Software,
  * UC Santa Cruz Ensuring OSS License Compliance the Easy Way - Tony Aiuto, Google
* Open Source Corporate Sustainability – Models to Consider - Destiny (DB) Babjack, United Healthgroup
* Growing Communities: A Research-based Framework for Eliminating Barriers to Contribution - Daniel Izquierdo, Bitergia & Mariam Guizani, Oregon State University
* Everything We've Learned From Three Years Of Funding Open Source - Duane O'Brien, Indeed
* The OSPO as a Construct for Global Change - Danese Cooper, NearForm, Ltd.



## Project Highlights
### Monday, September 27

* Building and Growing an Open Source Community for an Incubating Project - Sandra Youssef & Ketan Umare, Union.ai
  * Leveraging Specifications in Open Source Projects - Scott Nicholas, Linux Foundation
* Welcome to JavaScriptLandia - Jory Burson, Linux Foundation
* Memory Safety for Critical Digital Infrastructure - Josh Aas, Let's Encrypt
* It's All about the Strategy: A Brief Story of the Open Source Renaissance in Financial Services - Gabriele Columbro, FINOS
* Evolving FOSSology Ecosystem - Anupam Ghosh & Gaurav Mishra, Siemens AG

### Tuesday, September 28

* CDLA and Open Data Collaboration - Speakers to be Announced
* Open Source and ISO Standards - OpenChain and the Future of Compliance - Shane Martin Coughlan, Linux Foundation
* Open Hardware: Skyrocketing Momentum and Global Adoption from Embedded to Enterprise - Calista Redmond, RISC-V International

### Wednesday, September 29

* Health Credentials, Travel, Climate Change, Financial Inclusion and More: Digital Identity Gets Real - Brian Behlendorf, Linux Foundation & Christine Leong, Accenture
* Modernizing Code Older than You Are: One Student Takes a COBOL Bank App to Hybrid Cloud - Sudhanshu Dubey, Guru Nanak Dev Engineering College, Ludhiana & Misty Decker, Micro Focus
* Trademarks and Open Source - Daniel Scales, The Linux Foundation
* Open19 Project – Driving Open-source Hardware from LF - Yuval Bachar, The Linux Foundation
* LF Research: Creating Value through Insight into Open Source Technologies, Standards, and Communities - Hilary Carter, The Linux Foundation


## Project Mini-Summits
### Thursday, September 30

* CHAOSSCon North America 2021 (Pre-Registration Required) Open Software Open Hardware with the RISC-V and Zephyr Communities. BOOM! (Pre-registration Required)
* OpenChain Quarterly Mini-Summit (Pre-Registration Required)


## Special Events / Exhibits / Breaks
### Sunday, September 26

* Pre-event Registration & Badge Pick-up
* Newcomer Orientation & Social
* Better Together Diversity Social

### Monday, September 27

* Registration & Badge Pick-up
* Coffee Break Sponsor Showcase
* Lunch Break (Attendees on Own) Women in Open Source Lunch - Sponsored by Arm
* Sponsor Showcase
* Coffee Break
* Partner Reception (Invitation Only)

### Tuesday, September 28

* 5K Fun “Run”
* Registration & Badge Pick-up
* Coffee Break Sponsor Showcase
* Lunch Break (Attendees on Own)
* Book Signing with Gordon Haff Coffee Break Sponsor Showcase Sponsor Showcase
* Onsite Attendee Reception & Sponsor Showcase (Open to All Attendees!)

### Wednesday, September 29

* Morning Yoga and Meditation
* Registration & Badge Pick-up
* Coffee Break Puppy Pawlooza Sponsor Showcase
* Lunch Break (Attendees on Own)
* Sponsor Showcase
* Coffee Break
* Closing Attendee Reception (Open to All Attendees!)

### Thursday, September 30

* Registration & Badge Pick-up


## Wildcard
### Monday, September 27

* Cybersecurity Challenges & Community Based Risk Management - Keith Bergelt, Open Invention Network
* Arduino Sensor Data History in MySQL - Walter W Leutwyler,
  * Optum Tutorial: Managing Raspberry Pi Pico Applications Using Tock OS and Rust - Ioana Culic & Alexandru Radovici, Wyliodrin
* "Installation Information" and GPLv3 & GPLv2 -- What Information Must you Provide, and What do you Need Not Provide, for your Embedded Systems? - McCoy Smith, Lex Pan Law
* Mattermost’s Approach to Layered Extensibility in Open Source - Corey Hulen, Mattermost
* A Solution to the Tension Between Worker Shortage and the Hungry Hungry Developer - Jordan Hewitt, Damn Good Technology
  * Panel Discussion: Start Simple to Scale Decentralized Identity - Heather Dahl & Kenneth Ebert, Indicio.tech; RJ Reiser, Liquid Avatar

### Tuesday, September 28

* Essential Guide to Preserving Freedom of Action for Open Source Developers - James Bottomley,
  * IBM Tutorial: Blockchain Interoperability Demo with Cactus - Travis Payne & Peter Somogyvari, Accenture
* Tutorial: Yes, Your Applications are Under Attack -Struts2 Vulnerability Workshop - Sponsored by Sonatype
* An Account of OpenAirInterface’s Open Software in 5G RAN, CORE NETWORK and MOSAIC5G - Raymond Knop, OpenAirInterface Software Alliance (OSA) & Douglas Knisely,
  * Qualcomm Call for Code with The Linux Foundation: Contributing to Tech-for-good Even if You're Not Technical - Daniel Krook & Demi Ajayi, IBM

### Wednesday, September 29

* Getting Started with Reference Design Toolkit (RDK) Open Source - Harini Pavithra Elangovan,
  * Tata Elxsi Open Source Metrics: Moving from Vanity to Value - Julia Ferraioli, Independent & Amanda Casari, Google
* Embrace FreeBSD to Let Your Innovations Soar! - Deb Goodkin,
  * The FreeBSD Foundation Open Source Tooling for Software Bill of Materials - Gareth Rushgrove, Snyk
* Creating Quality Control Dashboard using Python for Manufacturing Issues - Hemant K Baxi, Stellantis
* Bridging Worlds: Using Rust Build Scripts to Leverage Existing Build Infrastructure - Gustavo Noronha Silva, Collabora
* Panel Discussion: Stories of Open Hardware in an Internet of Production - Barbara Schack,
  * Internet of Production Alliance; - Rawaa K. Abdulwahhab,
  * Field Ready; - Christina Rebel,
  * Wikifactory; - Emilio Velis, Appropedia...
* BoF: Software in Space -What Earthlings can Learn from Rocket Science Missions! - Joseph Robert Winchester, IBM


* Experience Level
* Talk Type
* Presentation Slides Attached


## Room List
3rd Floor Foyer
Columbia Ballroom
Keynote Theater
Lunch Maps Available at the Registration Counter
Room 1
Room 2
Room 3
Room 4
Room 5
Room 6
Room 7
Room 8
Room 9
Room 10
Room 11
Room 12
Room 13
Room 14
Room 15
Room 16
Room 17
Room 18
Room 19
Room 20
TBA
