# Spring Boot 2
* YouTube 재생목록
  * https://youtube.com/playlist?list=PLDMPhWe3CfpY9idK7tGd8QKr36KBID58P

## related
* [logging](/mib/spring/logging): 로그 레벨 조정
* [multipart](/mib/spring/multipart): 파일 업로드
* [security](/mib/spring/security): 스프링 시큐리티
* [devtools](/mib/spring/devtools): 스프링 부트 데브툴
* [cache](/mib/spring/cache): 스프링 부트 Cache
* [cors](/mib/spring/cors): 스프링 부트 CORS
* [jsp](/mib/spring/jsp): 스프링 부트 JSP
* [docker](/mib/docker): Docker
  * https://spring.io/guides/gs/spring-boot-docker/
* [starter](/mib/spring/starter): 스프링 부트 스타터 종류
* [websocket](/mib/spring/websocket): 스프링 부트 웹소켓
* [mybatis](/mib/mybatis): 스프링 부트 MyBatis
* [utils](/mib/spring/utils): 스프링 Utils
* [actuator](/mib/spring/actuator): 스프링 부트 Actuator
* [test](/mib/spring/test): 스프링 테스트 자동화
* [validation](/mib/spring/validation): 스프링 유효성 검증
* [yaml](/mib/spring/yaml): YAML 설정
* [hateoas](/mib/spring/hateoas): HATEOAS
* [async](/mib/spring/async): 스프링 비동기 메소드
* [batch](/mib/spring/batch): 스프링 배치
* [boot + react.js tutorial]: 스프링 부트와 React.js

## Requirement
* Java 8+
* Tomcat 8+
* Thymeleaf 3
* Hibernate 5.2

## Spring Framework 5
* Reactive Spring
* Functional APIs
* Kotlin Support

## argument
* Spring Boot 2 `-Dspring-boot.run.arguments`
```
mvn spring-boot:run -Dspring-boot.run.arguments=--server.port=9003
```

