# Spring Web MVC
* https://docs.spring.io/spring/docs/5.0.0.RELEASE/spring-framework-reference/web.html#mvc


1. Spring Web MVC    
1.1. Introduction  
1.2. The DispatcherServlet  
1.3. Annotated Controllers  
1.4. Handler mappings  
1.5. Resolving views  
1.6. Using flash attributes  
1.7. Building URIs  
1.8. Using locales  
1.9. Using themes  
1.10. Multipart (file upload) support  
1.11. Handling exceptions  
1.12. Web Security  
1.13. Convention over configuration support  
1.14. HTTP caching support  
1.15. Code-based Servlet container initialization  
1.16. MVC Java config, XML namespace  
2. View Technologies  
2.1. Introduction  
2.2. Thymeleaf  
2.3. Groovy Markup Templates  
2.4. FreeMarker  
2.5. JSP & JSTL  
2.6. Script templates  
2.7. XML Marshalling View  
2.8. Tiles  
2.9. XSLT  
2.10. Document views (PDF/Excel)  
2.11. Feed Views  
2.12. JSON Mapping View  
2.13. XML Mapping View  
3. CORS Support  
3.1. Introduction  
3.2. Controller method CORS configuration  
3.3. Global CORS configuration  
3.4. Advanced Customization  
3.5. Filter based CORS support  
4. Servlet-based WebSocket Support  
4.1. Introduction  
4.2. WebSocket API  
4.3. SockJS Fallback Options  
4.4. STOMP Over WebSocket Messaging Architecture  
