## 표 1. Spring Boot 애플리케이션 스타터
| 이름 | 기술 |
|---|---|
| **spring-boot-starter** | 자동 구성 지원, 로깅 및 YAML을 포함한 핵심 스타터 |
| spring-boot-starter-activemq | Apache ActiveMQ를 사용하는 JMS 메시징용 스타터 |
| spring-boot-starter-amqp | Spring AMQP 및 Rabbit MQ 사용을 위한 스타터 |
| spring-boot-starter-aop | Spring AOP 및 AspectJ를 사용한 aspect 지향 프로그래밍을 위한 스타터 |
| spring-boot-starter-artemis | Apache Artemis를 사용하는 JMS 메시징용 스타터 |
| spring-boot-starter-batch | Spring Batch 사용을 위한 스타터 |
| **spring-boot-starter-cache** | Spring Framework의 캐싱 지원을 사용하기 위한 Starter |
| spring-boot-starter-data-cassandra | Cassandra 분산 데이터베이스 및 SpringData Cassandra 사용을 위한 스타터 |
| spring-boot-starter-data-cassandra-reactive | Cassandra 분산 데이터베이스 및 SpringData Cassandra Reactive 사용을 위한 스타터 |
| spring-boot-starter-data-couchbase | Couchbase 문서 지향 데이터베이스 및 SpringData Couchbase 사용을 위한 스타터 |
| spring-boot-starter-data-couchbase-reactive | Couchbase 문서 지향 데이터베이스 및 SpringData Couchbase Reactive 사용을 위한 스타터 |
| spring-boot-starter-data-elasticsearch | Elasticsearch 검색 및 분석 엔진과 SpringData Elasticsearch를 사용하기 위한 스타터 |
| **spring-boot-starter-data-jdbc** | SpringData JDBC 사용을 위한 스타터 |
| **spring-boot-starter-data-jpa** | Hibernate에서 SpringData JPA를 사용하기 위한 스타터 |
| spring-boot-starter-data-ldap | 스프링 데이터 LDAP 사용을 위한 스타터 |
| spring-boot-starter-data-mongodb | MongoDB 문서 지향 데이터베이스 및 SpringData MongoDB 사용을 위한 스타터 |
| spring-boot-starter-data-mongodb-reactive | MongoDB 문서 지향 데이터베이스 및 SpringData MongoDB Reactive 사용을 위한 스타터 |
| spring-boot-starter-data-neo4j | Neo4j 그래프 데이터베이스 및 SpringData Neo4j 사용을 위한 스타터 |
| spring-boot-starter-data-r2dbc | SpringData R2DBC 사용을 위한 스타터 |
| spring-boot-starter-data-redis | SpringData Redis 및 Lettuce 클라이언트와 함께 Redis 키-값 데이터 저장소를 사용하기 위한 스타터 |
| spring-boot-starter-data-redis-reactive | SpringData Redis 반응 및 Lettuce 클라이언트와 함께 Redis 키-값 데이터 저장소를 사용하기 위한 스타터 |
| spring-boot-starter-data-rest | SpringData REST를 사용하여 REST를 통해 SpringData 저장소를 노출하는 스타터 |
| spring-boot-starter-data-solr | SpringData Solr와 함께 Apache Solr 검색 플랫폼을 사용하기 위한 Starter |
| spring-boot-starter-freemarker | FreeMarker보기를 사용하여 MVC 웹 애플리케이션을 빌드하기 위한 스타터 |
| spring-boot-starter-groovy-templates | Groovy 템플릿보기를 사용하여 MVC 웹 애플리케이션을 빌드하기 위한 스타터 |
| spring-boot-starter-hateoas | Spring MVC 및 Spring HATEOAS를 사용하여 하이퍼 미디어 기반 RESTful 웹 애플리케이션을 빌드하기 위한 스타터 |
| spring-boot-starter-integration | Spring Integration 사용을 위한 스타터 |
| **spring-boot-starter-jdbc** | HikariCP 연결 풀과 함께 JDBC를 사용하기 위한 스타터 |
| spring-boot-starter-jersey | JAX-RS 및 Jersey를 사용하여 RESTful 웹 애플리케이션을 빌드하기 위한 스타터입니다. 대안spring-boot-starter-web |
| spring-boot-starter-jooq | jOOQ를 사용하여 SQL 데이터베이스에 액세스하기 위한 스타터. spring-boot-starter-data-jpa, spring-boot-starter-jdbc에 대한 대안 |
| spring-boot-starter-json | JSON을 읽고 쓰기 위한 스타터 |
| spring-boot-starter-jta-atomikos | Atomikos를 사용하는 JTA 트랜잭션을 위한 스타터 |
| spring-boot-starter-mail | Java Mail 및 Spring Framework의 이메일 전송 지원을 사용하기 위한 Starter |
| spring-boot-starter-mustache | Mustache보기를 사용하여 웹 애플리케이션을 빌드하기 위한 스타터 |
| spring-boot-starter-oauth2-client | Spring Security의 OAuth2 / OpenID Connect 클라이언트 기능 사용을 위한 스타터 |
| spring-boot-starter-oauth2-resource-server | Spring Security의 OAuth2 리소스 서버 기능을 사용하기 위한 Starter |
| spring-boot-starter-quartz | Quartz 스케줄러 사용을 위한 스타터 |
| spring-boot-starter-rsocket | RSocket 클라이언트 및 서버 구축을 위한 스타터 |
| **spring-boot-starter-security** | Spring Security 사용을 위한 스타터 |
| **spring-boot-starter-test** | JUnit Jupiter, Hamcrest 및 Mockito를 포함한 라이브러리로 Spring Boot 애플리케이션을 테스트하기 위한 Starter |
| **spring-boot-starter-thymeleaf** | Thymeleaf보기를 사용하여 MVC 웹 애플리케이션을 빌드하기 위한 스타터 |
| spring-boot-starter-validation | Hibernate Validator와 함께 Java Bean Validation을 사용하기 위한 Starter |
| **spring-boot-starter-web** | Spring MVC를 사용하는 RESTful 애플리케이션을 포함한 웹 구축을 위한 스타터. 기본 포함 컨테이너로 Tomcat 사용 |
| spring-boot-starter-web-services | Spring Web Services 사용을 위한 스타터 |
| spring-boot-starter-webflux | Spring Framework의 Reactive Web 지원을 사용하여 WebFlux 애플리케이션을 빌드하기 위한 Starter |
| **spring-boot-starter-websocket** | Spring Framework의 WebSocket 지원을 사용하여 WebSocket 애플리케이션을 빌드하기 위한 스타터

from: https://docs.spring.io/spring-boot/docs/current/reference/html/using-spring-boot.html#using-boot-starter
